<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in realestate package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in realestate package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Property',
    'names'         => 'Properties',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Properties',
        'sub'   => 'Properties',
        'list'  => 'List of properties',
        'edit'  => 'Edit property',
        'create'    => 'Create new property'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'rent_frequency'      => ['Yearly','Monthly','Weekly','Daily'],
            'buildarea_type'      => ['CEN','ACR','Sq ft'],
            'landarea_type'       => ['CEN','ACR','Sq ft'],
            'visibility'          => ['featured','premium'],
            'property_for'        => ['Rent','Sale','PG','Lease'],
            'build_status'        => ['completed','underconstruction'],
            'status'              => ['Published','Pending','Draft'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'refno'                      => 'Please enter refno',
        'contact_id'                 => 'Please enter contact id',
        'agent_id'                   => 'Please enter agent id',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'district_id'                => 'Please enter district id',
        'city_id'                    => 'Please enter city id',
        'location_id'                => 'Please enter location id',
        'category_id'                => 'Please enter category id',
        'title'                      => 'Please enter title',
        'description'                => 'Please enter description',
        'price'                      => 'Please enter price',
        'rent_frequency'             => 'Please select rent frequency',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'garages'                    => 'Please enter garages',
        'garage_size'                => 'Please enter garage size',
        'buildup_area'               => 'Please enter buildup area',
        'buildarea_type'             => 'Please select buildarea type',
        'land_area'                  => 'Please enter land area',
        'landarea_type'              => 'Please select landarea type',
        'furnishing'                 => 'Please enter furnishing',
        'features'                   => 'Please enter features',
        'amenities'                  => 'Please enter amenities',
        'portals'                    => 'Please enter portals',
        'address'                    => 'Please enter address',
        'locality'                   => 'Please enter locality',
        'zip_code'                   => 'Please enter zip code',
        'landmarks'                  => 'Please enter landmarks',
        'hot'                        => 'Please enter hot',
        'visibility'                 => 'Please select visibility',
        'images'                     => 'Please enter images',
        'video_link'                 => 'Please enter video link',
        'video360'                   => 'Please enter video360',
        'expire_date'                => 'Please select expire date',
        'source'                     => 'Please enter source',
        'property_for'               => 'Please select property for',
        'prop_status'                => 'Please enter prop status',
        'build_status'               => 'Please select build status',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'refno'                      => 'Refno',
        'contact_id'                 => 'Contact id',
        'agent_id'                   => 'Agent id',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'category_id'                => 'Category id',
        'title'                      => 'Title',
        'description'                => 'Description',
        'price'                      => 'Price',
        'rent_frequency'             => 'Rent frequency',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'garages'                    => 'Garages',
        'garage_size'                => 'Garage size',
        'buildup_area'               => 'Buildup area',
        'buildarea_type'             => 'Buildarea type',
        'land_area'                  => 'Land area',
        'landarea_type'              => 'Landarea type',
        'furnishing'                 => 'Furnishing',
        'features'                   => 'Features',
        'amenities'                  => 'Amenities',
        'portals'                    => 'Portals',
        'address'                    => 'Address',
        'locality'                   => 'Locality',
        'zip_code'                   => 'Zip code',
        'landmarks'                  => 'Landmarks',
        'hot'                        => 'Hot',
        'visibility'                 => 'Visibility',
        'images'                     => 'Images',
        'video_link'                 => 'Video link',
        'video360'                   => 'Video360',
        'expire_date'                => 'Expire date',
        'source'                     => 'Source',
        'property_for'               => 'Property for',
        'prop_status'                => 'Prop status',
        'build_status'               => 'Build status',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'refno'                      => ['name' => 'Refno', 'data-column' => 1, 'checked'],
        'contact_id'                 => ['name' => 'Contact id', 'data-column' => 2, 'checked'],
        'agent_id'                   => ['name' => 'Agent id', 'data-column' => 3, 'checked'],
        'country_id'                 => ['name' => 'Country id', 'data-column' => 4, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 5, 'checked'],
        'district_id'                => ['name' => 'District id', 'data-column' => 6, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 7, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 8, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 9, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 10, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 11, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 12, 'checked'],
        'rent_frequency'             => ['name' => 'Rent frequency', 'data-column' => 13, 'checked'],
        'bedrooms'                   => ['name' => 'Bedrooms', 'data-column' => 14, 'checked'],
        'bathrooms'                  => ['name' => 'Bathrooms', 'data-column' => 15, 'checked'],
        'garages'                    => ['name' => 'Garages', 'data-column' => 16, 'checked'],
        'garage_size'                => ['name' => 'Garage size', 'data-column' => 17, 'checked'],
        'buildup_area'               => ['name' => 'Buildup area', 'data-column' => 18, 'checked'],
        'buildarea_type'             => ['name' => 'Buildarea type', 'data-column' => 19, 'checked'],
        'land_area'                  => ['name' => 'Land area', 'data-column' => 20, 'checked'],
        'landarea_type'              => ['name' => 'Landarea type', 'data-column' => 21, 'checked'],
        'furnishing'                 => ['name' => 'Furnishing', 'data-column' => 22, 'checked'],
        'features'                   => ['name' => 'Features', 'data-column' => 23, 'checked'],
        'amenities'                  => ['name' => 'Amenities', 'data-column' => 24, 'checked'],
        'portals'                    => ['name' => 'Portals', 'data-column' => 25, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 26, 'checked'],
        'locality'                   => ['name' => 'Locality', 'data-column' => 27, 'checked'],
        'zip_code'                   => ['name' => 'Zip code', 'data-column' => 28, 'checked'],
        'landmarks'                  => ['name' => 'Landmarks', 'data-column' => 29, 'checked'],
        'hot'                        => ['name' => 'Hot', 'data-column' => 30, 'checked'],
        'visibility'                 => ['name' => 'Visibility', 'data-column' => 31, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 32, 'checked'],
        'video_link'                 => ['name' => 'Video link', 'data-column' => 33, 'checked'],
        'video360'                   => ['name' => 'Video360', 'data-column' => 34, 'checked'],
        'expire_date'                => ['name' => 'Expire date', 'data-column' => 35, 'checked'],
        'source'                     => ['name' => 'Source', 'data-column' => 36, 'checked'],
        'property_for'               => ['name' => 'Property for', 'data-column' => 37, 'checked'],
        'prop_status'                => ['name' => 'Prop status', 'data-column' => 38, 'checked'],
        'build_status'               => ['name' => 'Build status', 'data-column' => 39, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Properties',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
