<?php

// API routes  for property
Route::prefix('{guard}/realestate')->group(function () {
    Route::get('property/form/{element}', 'PropertyAPIController@form');
    Route::resource('property', 'PropertyAPIController');
});

// Public routes for property
Route::get('realestates/', 'PropertyPublicController@index');
Route::get('realestates/{slug?}', 'PropertyPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for realestates
            Route::prefix('{guard}/realestate')->group(function () {
                Route::get('property/form/{element}', 'PropertyAPIController@form');
                Route::apiResource('property', 'PropertyAPIController');
            });
            // Public routes for realestates
            Route::get('realestate/Property', 'PropertyPublicController@getProperty');
        }
    );
}


// API routes  for property_category
Route::prefix('{guard}/realestate')->group(function () {
    Route::get('property_category/form/{element}', 'PropertyCategoryAPIController@form');
    Route::resource('property_category', 'PropertyCategoryAPIController');
});

// Public routes for property_category
Route::get('realestates/', 'PropertyCategoryPublicController@index');
Route::get('realestates/{slug?}', 'PropertyCategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for realestates
            Route::prefix('{guard}/realestate')->group(function () {
                Route::get('property_category/form/{element}', 'PropertyCategoryAPIController@form');
                Route::apiResource('property_category', 'PropertyCategoryAPIController');
            });
            // Public routes for realestates
            Route::get('realestate/PropertyCategory', 'PropertyCategoryPublicController@getPropertyCategory');
        }
    );
}

