<?php

namespace Larareal\Realestate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyCategoryTransformer extends TransformerAbstract
{
    public function transform(\Larareal\Realestate\Models\PropertyCategory $property_category)
    {
        return [
            'id'                => $property_category->getRouteKey(),
            'key'               => [
                'public'    => $property_category->getPublicKey(),
                'route'     => $property_category->getRouteKey(),
            ], 
            'user_id'           => $property_category->user_id,
            'user_type'         => $property_category->user_type,
            'slug'              => $property_category->slug,
            'code'              => $property_category->code,
            'name'              => $property_category->name,
            'deleted_at'        => $property_category->deleted_at,
            'url'               => [
                'public'    => trans_url('realestate/'.$property_category->getPublicKey()),
                'user'      => guard_url('realestate/property_category/'.$property_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property_category->status),
            'created_at'        => format_date($property_category->created_at),
            'updated_at'        => format_date($property_category->updated_at),
        ];
    }
}